Closed Bug 1577344 Opened 1 year ago Closed 4 months ago

Configure application handlers via policy

Categories

(Firefox :: Enterprise Policies, enhancement, P5)

enhancement

Tracking

()

RESOLVED FIXED
Firefox 78
Tracking Status
firefox78 --- fixed

People

(Reporter: mkaply, Assigned: mkaply)

References

Details

Attachments

(1 file)

We should provide an easy way to set default application handlers.

See:

https://mike.kaply.com/2013/05/15/setting-default-application-handlers/

Duplicate of this bug: 1543526
Assignee: nobody → mozilla
Status: NEW → ASSIGNED
Attachment #9147643 - Attachment description: Bug 1577344 - Add policy for application handlers. → Bug 1577344 - Add policy for application handlers. r?Gijs
Pushed by mozilla@kaply.com:
https://hg.mozilla.org/integration/autoland/rev/7cfa9199cc7e
Add policy for application handlers. r=Gijs,fluent-reviewers

Backed out changeset 7cfa9199cc7e (bug 1577344) for mozilla::net::nsSocketTransport::InitiateSocket crashes

Push with failures: https://treeherder.mozilla.org/#/jobs?repo=autoland&fromchange=8c48e8fac7373325b3a22b4da70b3a27f33ea96a&searchStr=mochitest-browser-chrome&tochange=0abf2929d3c003d8300400ad270d7c44abbd68c1&selectedTaskRun=Ea25gdt8TEWC8Y8ApcXs4Q-0

Backout link: https://hg.mozilla.org/integration/autoland/rev/0abf2929d3c003d8300400ad270d7c44abbd68c1

Failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=303801277&repo=autoland&lineNumber=2525

[task 2020-05-26T17:02:19.840Z] 17:02:19     INFO - TEST-START | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js
[task 2020-05-26T17:02:26.345Z] 17:02:26     INFO - GECKO(10568) | FATAL ERROR: Non-local network connections are disabled and a connection attempt to www.example.org (93.184.216.34) was made.
[task 2020-05-26T17:02:26.345Z] 17:02:26     INFO - GECKO(10568) | You should only access hostnames available via the test networking proxy (if running mochitests) or from a test-specific httpd.js server (if running xpcshell tests). Browser services should be disabled or redirected to a local server.
[task 2020-05-26T17:02:26.658Z] 17:02:26     INFO - GECKO(10568) | Exiting due to channel error.
[task 2020-05-26T17:02:26.658Z] 17:02:26     INFO - GECKO(10568) | Exiting due to channel error.
[task 2020-05-26T17:02:26.659Z] 17:02:26     INFO - GECKO(10568) | Exiting due to channel error.
[task 2020-05-26T17:02:26.791Z] 17:02:26     INFO - TEST-INFO | Main app process: exit 1
[task 2020-05-26T17:02:26.792Z] 17:02:26     INFO - Buffered messages logged at 17:02:19
[task 2020-05-26T17:02:26.792Z] 17:02:26     INFO - Entering test bound policies_headjs_startWithCleanSlate
[task 2020-05-26T17:02:26.793Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Engine is inactive at the start of the test - 
[task 2020-05-26T17:02:26.793Z] 17:02:26     INFO - Leaving test bound policies_headjs_startWithCleanSlate
[task 2020-05-26T17:02:26.793Z] 17:02:26     INFO - Entering test bound homepage_test_simple
[task 2020-05-26T17:02:26.793Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Sanity check the temporary file doesn't exist. - true == true - 
[task 2020-05-26T17:02:26.793Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Homepage URL should match expected - 
[task 2020-05-26T17:02:26.794Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Lock status of browser.startup.homepage should match expected - 
[task 2020-05-26T17:02:26.794Z] 17:02:26     INFO - Buffered messages logged at 17:02:20
[task 2020-05-26T17:02:26.795Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Homepage URL text box disabled status should match expected - false == false - 
[task 2020-05-26T17:02:26.795Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Home mode drop down disabled status should match expected - false == false - 
[task 2020-05-26T17:02:26.796Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | "Use current page" button disabled status should match expected - false == false - 
[task 2020-05-26T17:02:26.796Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | "Use bookmark" button disabled status should match expected - false == false - 
[task 2020-05-26T17:02:26.799Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | "Restore defaults" button disabled status should match expected - false == false - 
[task 2020-05-26T17:02:26.800Z] 17:02:26     INFO - Leaving test bound homepage_test_simple
[task 2020-05-26T17:02:26.800Z] 17:02:26     INFO - Entering test bound homepage_test_repeat_same_policy_value
[task 2020-05-26T17:02:26.801Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Sanity check the temporary file doesn't exist. - true == true - 
[task 2020-05-26T17:02:26.801Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Homepage URL should match expected - 
[task 2020-05-26T17:02:26.802Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Lock status of browser.startup.homepage should match expected - 
[task 2020-05-26T17:02:26.802Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Pref page value should match expected - 
[task 2020-05-26T17:02:26.802Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Lock status of browser.startup.page should match expected - 
[task 2020-05-26T17:02:26.803Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Disabled status of session restore status should match expected - false == false - 
[task 2020-05-26T17:02:26.803Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Session restore status checkbox should be: checked - true == true - 
[task 2020-05-26T17:02:26.804Z] 17:02:26     INFO - Buffered messages logged at 17:02:21
[task 2020-05-26T17:02:26.804Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Homepage URL text box disabled status should match expected - false == false - 
[task 2020-05-26T17:02:26.805Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Home mode drop down disabled status should match expected - false == false - 
[task 2020-05-26T17:02:26.805Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | "Use current page" button disabled status should match expected - false == false - 
[task 2020-05-26T17:02:26.805Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | "Use bookmark" button disabled status should match expected - false == false - 
[task 2020-05-26T17:02:26.805Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | "Restore defaults" button disabled status should match expected - false == false - 
[task 2020-05-26T17:02:26.806Z] 17:02:26     INFO - Leaving test bound homepage_test_repeat_same_policy_value
[task 2020-05-26T17:02:26.806Z] 17:02:26     INFO - Entering test bound homepage_test_empty_additional
[task 2020-05-26T17:02:26.807Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Sanity check the temporary file doesn't exist. - true == true - 
[task 2020-05-26T17:02:26.807Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Homepage URL should match expected - 
[task 2020-05-26T17:02:26.808Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Lock status of browser.startup.homepage should match expected - 
[task 2020-05-26T17:02:26.808Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Homepage URL text box disabled status should match expected - false == false - 
[task 2020-05-26T17:02:26.809Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Home mode drop down disabled status should match expected - false == false - 
[task 2020-05-26T17:02:26.809Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | "Use current page" button disabled status should match expected - false == false - 
[task 2020-05-26T17:02:26.809Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | "Use bookmark" button disabled status should match expected - false == false - 
[task 2020-05-26T17:02:26.809Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | "Restore defaults" button disabled status should match expected - false == false - 
[task 2020-05-26T17:02:26.809Z] 17:02:26     INFO - Leaving test bound homepage_test_empty_additional
[task 2020-05-26T17:02:26.809Z] 17:02:26     INFO - Entering test bound homepage_test_single_additional
[task 2020-05-26T17:02:26.810Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Sanity check the temporary file doesn't exist. - true == true - 
[task 2020-05-26T17:02:26.810Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Homepage URL should match expected - 
[task 2020-05-26T17:02:26.810Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Lock status of browser.startup.homepage should match expected - 
[task 2020-05-26T17:02:26.810Z] 17:02:26     INFO - Buffered messages logged at 17:02:23
[task 2020-05-26T17:02:26.810Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Homepage URL text box disabled status should match expected - false == false - 
[task 2020-05-26T17:02:26.810Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Home mode drop down disabled status should match expected - false == false - 
[task 2020-05-26T17:02:26.810Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | "Use current page" button disabled status should match expected - false == false - 
[task 2020-05-26T17:02:26.810Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | "Use bookmark" button disabled status should match expected - false == false - 
[task 2020-05-26T17:02:26.811Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | "Restore defaults" button disabled status should match expected - false == false - 
[task 2020-05-26T17:02:26.811Z] 17:02:26     INFO - Leaving test bound homepage_test_single_additional
[task 2020-05-26T17:02:26.811Z] 17:02:26     INFO - Entering test bound homepage_test_multiple_additional
[task 2020-05-26T17:02:26.811Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Sanity check the temporary file doesn't exist. - true == true - 
[task 2020-05-26T17:02:26.811Z] 17:02:26     INFO - Buffered messages logged at 17:02:25
[task 2020-05-26T17:02:26.811Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Homepage URL should match expected - 
[task 2020-05-26T17:02:26.811Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Lock status of browser.startup.homepage should match expected - 
[task 2020-05-26T17:02:26.811Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Homepage URL text box disabled status should match expected - false == false - 
[task 2020-05-26T17:02:26.811Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Home mode drop down disabled status should match expected - false == false - 
[task 2020-05-26T17:02:26.812Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | "Use current page" button disabled status should match expected - false == false - 
[task 2020-05-26T17:02:26.812Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | "Use bookmark" button disabled status should match expected - false == false - 
[task 2020-05-26T17:02:26.812Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | "Restore defaults" button disabled status should match expected - false == false - 
[task 2020-05-26T17:02:26.812Z] 17:02:26     INFO - Leaving test bound homepage_test_multiple_additional
[task 2020-05-26T17:02:26.812Z] 17:02:26     INFO - Entering test bound homepage_test_locked
[task 2020-05-26T17:02:26.812Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Sanity check the temporary file doesn't exist. - true == true - 
[task 2020-05-26T17:02:26.812Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Homepage URL should match expected - 
[task 2020-05-26T17:02:26.812Z] 17:02:26     INFO - TEST-PASS | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | Lock status of browser.startup.homepage should match expected - 
[task 2020-05-26T17:02:26.813Z] 17:02:26     INFO - Buffered messages finished
[task 2020-05-26T17:02:26.815Z] 17:02:26    ERROR - TEST-UNEXPECTED-FAIL | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | application terminated with exit code 1
[task 2020-05-26T17:02:26.815Z] 17:02:26     INFO - runtests.py | Application ran for: 0:01:04.092000
[task 2020-05-26T17:02:26.815Z] 17:02:26     INFO - zombiecheck | Reading PID log: c:\users\task_1590510834\appdata\local\temp\tmp_5ujntpidlog
[task 2020-05-26T17:02:26.815Z] 17:02:26     INFO - ==> process 2320 launched child process 10296 ("Z:\task_1590510834\build\application\firefox\firefox.exe" -contentproc --channel="2320.0.2116889383\1642343155" -parentBuildID 20200526152426 -prefsHandle 2188 -prefMapHandle 2164 -prefsLen 1 -prefMapSize 234758 -appdir "Z:\task_1590510834\build\application\firefox\browser" - 2320 "\\.\pipe\gecko-crash-server-pipe.2320" 2260 gpu)
[task 2020-05-26T17:02:26.815Z] 17:02:26     INFO - ==> process 2320 launched child process 8172 ("Z:\task_1590510834\build\application\firefox\firefox.exe" -contentproc --channel="2320.6.803919369\807164492" -childID 1 -isForBrowser -prefsHandle 2876 -prefMapHandle 2144 -prefsLen 1779 -prefMapSize 234758 -parentBuildID 20200526152426 -appdir "Z:\task_1590510834\build\application\firefox\browser" - 2320 "\\.\pipe\gecko-crash-server-pipe.2320" 2856 tab)
[task 2020-05-26T17:02:26.816Z] 17:02:26     INFO - ==> process 2320 launched child process 4404 ("Z:\task_1590510834\build\application\firefox\firefox.exe" -contentproc --channel="2320.13.1118768349\928648274" -childID 2 -isForBrowser -prefsHandle 6028 -prefMapHandle 6024 -prefsLen 2192 -prefMapSize 234758 -parentBuildID 20200526152426 -appdir "Z:\task_1590510834\build\application\firefox\browser" - 2320 "\\.\pipe\gecko-crash-server-pipe.2320" 6044 tab)
[task 2020-05-26T17:02:26.816Z] 17:02:26     INFO - ==> process 2320 launched child process 1996 ("Z:\task_1590510834\build\application\firefox\firefox.exe" -contentproc --channel="2320.20.2066583455\1305629616" -childID 3 -isForBrowser -prefsHandle 6212 -prefMapHandle 6208 -prefsLen 2232 -prefMapSize 234758 -parentBuildID 20200526152426 -appdir "Z:\task_1590510834\build\application\firefox\browser" - 2320 "\\.\pipe\gecko-crash-server-pipe.2320" 6220 tab)
[task 2020-05-26T17:02:26.816Z] 17:02:26     INFO - ==> process 2320 launched child process 11060 ("Z:\task_1590510834\build\application\firefox\firefox.exe" -contentproc --channel="2320.27.871682856\512230271" -childID 4 -isForBrowser -prefsHandle 5492 -prefMapHandle 5488 -prefsLen 11586 -prefMapSize 234758 -parentBuildID 20200526152426 -appdir "Z:\task_1590510834\build\application\firefox\browser" - 2320 "\\.\pipe\gecko-crash-server-pipe.2320" 3628 tab)
[task 2020-05-26T17:02:26.816Z] 17:02:26     INFO - ==> process 2320 launched child process 7324 ("Z:\task_1590510834\build\application\firefox\firefox.exe" -contentproc --channel="2320.34.1236932833\1003484854" -childID 5 -isForBrowser -prefsHandle 1852 -prefMapHandle 5040 -prefsLen 11953 -prefMapSize 234758 -parentBuildID 20200526152426 -appdir "Z:\task_1590510834\build\application\firefox\browser" - 2320 "\\.\pipe\gecko-crash-server-pipe.2320" 4636 tab)
[task 2020-05-26T17:02:26.816Z] 17:02:26     INFO - ==> process 2320 launched child process 3040 ("Z:\task_1590510834\build\application\firefox\firefox.exe" -contentproc --channel="2320.41.1566190124\1927021629" -childID 6 -isForBrowser -prefsHandle 4700 -prefMapHandle 5472 -prefsLen 12003 -prefMapSize 234758 -parentBuildID 20200526152426 -appdir "Z:\task_1590510834\build\application\firefox\browser" - 2320 "\\.\pipe\gecko-crash-server-pipe.2320" 4988 tab)
[task 2020-05-26T17:02:26.816Z] 17:02:26     INFO - ==> process 2320 launched child process 2340 ("Z:\task_1590510834\build\application\firefox\firefox.exe" -contentproc --channel="2320.48.1441238544\1292532183" -childID 7 -isForBrowser -prefsHandle 5456 -prefMapHandle 4268 -prefsLen 12075 -prefMapSize 234758 -parentBuildID 20200526152426 -appdir "Z:\task_1590510834\build\application\firefox\browser" - 2320 "\\.\pipe\gecko-crash-server-pipe.2320" 3768 tab)
[task 2020-05-26T17:02:26.816Z] 17:02:26     INFO - ==> process 2320 launched child process 9732 ("Z:\task_1590510834\build\application\firefox\firefox.exe" -contentproc --channel="2320.55.442188489\1474326958" -childID 8 -isForBrowser -prefsHandle 6504 -prefMapHandle 4700 -prefsLen 12114 -prefMapSize 234758 -parentBuildID 20200526152426 -appdir "Z:\task_1590510834\build\application\firefox\browser" - 2320 "\\.\pipe\gecko-crash-server-pipe.2320" 4664 tab)
[task 2020-05-26T17:02:26.816Z] 17:02:26     INFO - ==> process 2320 launched child process 6984 ("Z:\task_1590510834\build\application\firefox\firefox.exe" -contentproc --channel="2320.62.1932236655\65562565" -childID 9 -isForBrowser -prefsHandle 6524 -prefMapHandle 6532 -prefsLen 12114 -prefMapSize 234758 -parentBuildID 20200526152426 -appdir "Z:\task_1590510834\build\application\firefox\browser" - 2320 "\\.\pipe\gecko-crash-server-pipe.2320" 4268 tab)
[task 2020-05-26T17:02:26.816Z] 17:02:26     INFO - ==> process 2320 launched child process 1280 ("Z:\task_1590510834\build\application\firefox\firefox.exe" -contentproc --channel="2320.69.1904531050\966413033" -childID 10 -isForBrowser -prefsHandle 6684 -prefMapHandle 6680 -prefsLen 12064 -prefMapSize 234758 -parentBuildID 20200526152426 -appdir "Z:\task_1590510834\build\application\firefox\browser" - 2320 "\\.\pipe\gecko-crash-server-pipe.2320" 6504 tab)
[task 2020-05-26T17:02:26.817Z] 17:02:26     INFO - zombiecheck | Checking for orphan process with PID: 3040
[task 2020-05-26T17:02:26.817Z] 17:02:26     INFO - zombiecheck | Checking for orphan process with PID: 1280
[task 2020-05-26T17:02:26.817Z] 17:02:26     INFO - zombiecheck | Checking for orphan process with PID: 2340
[task 2020-05-26T17:02:26.817Z] 17:02:26     INFO - zombiecheck | Checking for orphan process with PID: 6984
[task 2020-05-26T17:02:26.817Z] 17:02:26     INFO - zombiecheck | Checking for orphan process with PID: 1996
[task 2020-05-26T17:02:26.817Z] 17:02:26     INFO - zombiecheck | Checking for orphan process with PID: 8172
[task 2020-05-26T17:02:26.817Z] 17:02:26     INFO - zombiecheck | Checking for orphan process with PID: 9732
[task 2020-05-26T17:02:26.817Z] 17:02:26     INFO - zombiecheck | Checking for orphan process with PID: 4404
[task 2020-05-26T17:02:26.817Z] 17:02:26     INFO - zombiecheck | Checking for orphan process with PID: 10296
[task 2020-05-26T17:02:26.817Z] 17:02:26     INFO - zombiecheck | Checking for orphan process with PID: 11060
[task 2020-05-26T17:02:26.818Z] 17:02:26     INFO - zombiecheck | Checking for orphan process with PID: 7324
[task 2020-05-26T17:02:26.818Z] 17:02:26     INFO - mozcrash Downloading symbols from: https://firefox-ci-tc.services.mozilla.com/api/queue/v1/task/du9vbX2QTiinBheaMRdBNQ/artifacts/public/build/target.crashreporter-symbols.zip
[task 2020-05-26T17:02:28.842Z] 17:02:28     INFO - mozcrash Copy/paste: Z:/task_1590510834/fetches\minidump_stackwalk\minidump_stackwalk.exe c:\users\task_1590510834\appdata\local\temp\tmpadokq5.mozrunner\minidumps\9f37b6b0-fa88-4fa1-acb3-33665c93ce7d.dmp c:\users\task_1590510834\appdata\local\temp\tmp8s4vxm
[task 2020-05-26T17:02:34.082Z] 17:02:34     INFO - mozcrash Saved minidump as Z:\task_1590510834\build\blobber_upload_dir\9f37b6b0-fa88-4fa1-acb3-33665c93ce7d.dmp
[task 2020-05-26T17:02:34.082Z] 17:02:34     INFO - mozcrash Saved app info as Z:\task_1590510834\build\blobber_upload_dir\9f37b6b0-fa88-4fa1-acb3-33665c93ce7d.extra
[task 2020-05-26T17:02:34.151Z] 17:02:34     INFO - PROCESS-CRASH | browser/components/enterprisepolicies/tests/browser/browser_policy_set_homepage.js | application crashed [@ mozilla::net::nsSocketTransport::InitiateSocket()]
[task 2020-05-26T17:02:34.151Z] 17:02:34     INFO - Mozilla crash reason: MOZ_CRASH(Attempting to connect to non-local address!)
[task 2020-05-26T17:02:34.151Z] 17:02:34     INFO - Crash dump filename: c:\users\task_1590510834\appdata\local\temp\tmpadokq5.mozrunner\minidumps\9f37b6b0-fa88-4fa1-acb3-33665c93ce7d.dmp
[task 2020-05-26T17:02:34.151Z] 17:02:34     INFO - Operating system: Windows NT
[task 2020-05-26T17:02:34.152Z] 17:02:34     INFO -                   10.0.17134 
[task 2020-05-26T17:02:34.152Z] 17:02:34     INFO - CPU: amd64
[task 2020-05-26T17:02:34.152Z] 17:02:34     INFO -      family 6 model 85 stepping 4
[task 2020-05-26T17:02:34.152Z] 17:02:34     INFO -      8 CPUs
[task 2020-05-26T17:02:34.152Z] 17:02:34     INFO - 
[task 2020-05-26T17:02:34.152Z] 17:02:34     INFO - GPU: UNKNOWN
[task 2020-05-26T17:02:34.152Z] 17:02:34     INFO - 
[task 2020-05-26T17:02:34.152Z] 17:02:34     INFO - Crash reason:  EXCEPTION_BREAKPOINT
[task 2020-05-26T17:02:34.152Z] 17:02:34     INFO - Crash address: 0x2dca4bfe
[task 2020-05-26T17:02:34.152Z] 17:02:34     INFO - Process uptime: 64 seconds
[task 2020-05-26T17:02:34.152Z] 17:02:34     INFO - 
[task 2020-05-26T17:02:34.152Z] 17:02:34     INFO - Thread 5 (crashed)
[task 2020-05-26T17:02:34.152Z] 17:02:34     INFO -  0  xul.dll!mozilla::net::nsSocketTransport::InitiateSocket() [nsSocketTransport2.cpp:7cfa9199cc7e083ba4304e9af730875141bb6995 : 1318 + 0x0]
[task 2020-05-26T17:02:34.152Z] 17:02:34     INFO -     rax = 0x00007ffb32ef321a   rdx = 0x00000000000000c0
[task 2020-05-26T17:02:34.152Z] 17:02:34     INFO -     rcx = 0x00007ffb5991d0e8   rbx = 0x000000005d000000
[task 2020-05-26T17:02:34.152Z] 17:02:34     INFO -     rsi = 0x0000016b2c61eec8   rdi = 0x000000553e95e904
[task 2020-05-26T17:02:34.152Z] 17:02:34     INFO -     rbp = 0x0000000000000000   rsp = 0x000000553e95e6c0
[task 2020-05-26T17:02:34.152Z] 17:02:34     INFO -      r8 = 0x00007ffb6e3fa640    r9 = 0x0000000000000000
[task 2020-05-26T17:02:34.152Z] 17:02:34     INFO -     r10 = 0x0000000000000000   r11 = 0x0000000000000246
[task 2020-05-26T17:02:34.152Z] 17:02:34     INFO -     r12 = 0x0000000080004004   r13 = 0x000000553e95ec08
[task 2020-05-26T17:02:34.152Z] 17:02:34     INFO -     r14 = 0x0000016b2c676118   r15 = 0x0000016b2c676208
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -     rip = 0x00007ffb2dca4bfe
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -     Found by: given as instruction pointer in context
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -  1  xul.dll!mozilla::net::nsSocketTransport::OnSocketEvent(unsigned int, nsresult, nsISupports*) [nsSocketTransport2.cpp:7cfa9199cc7e083ba4304e9af730875141bb6995 : 0 + 0x8]
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -     rbx = 0x000000005d000000   rbp = 0x0000000000000000
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -     rsp = 0x000000553e95ea20   r12 = 0x0000000080004004
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -     r13 = 0x000000553e95ec08   r14 = 0x0000016b2c676118
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -     r15 = 0x0000016b2c676208   rip = 0x00007ffb2dca6b87
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -     Found by: call frame info
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -  2  xul.dll!mozilla::net::nsSocketEvent::Run() [nsSocketTransport2.cpp:7cfa9199cc7e083ba4304e9af730875141bb6995 : 93 + 0xf]
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -     rbx = 0x000000005d000000   rbp = 0x0000000000000000
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -     rsp = 0x000000553e95ea80   r12 = 0x0000000080004004
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -     r13 = 0x000000553e95ec08   r14 = 0x0000016b2c676118
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -     r15 = 0x0000016b2c676208   rip = 0x00007ffb2dcbc29b
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -     Found by: call frame info
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -  3  xul.dll!nsThread::ProcessNextEvent(bool, bool*) [nsThread.cpp:7cfa9199cc7e083ba4304e9af730875141bb6995 : 1211 + 0x6]
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -     rbx = 0x000000005d000000   rbp = 0x0000000000000000
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -     rsp = 0x000000553e95eab0   r12 = 0x0000000080004004
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -     r13 = 0x000000553e95ec08   r14 = 0x0000016b2c676118
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -     r15 = 0x0000016b2c676208   rip = 0x00007ffb2d2550a4
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -     Found by: call frame info
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -  4  xul.dll!NS_ProcessNextEvent(nsIThread*, bool) [nsThreadUtils.cpp:7cfa9199cc7e083ba4304e9af730875141bb6995 : 501 + 0x26]
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -     rbx = 0x000000005d000000   rbp = 0x0000000000000000
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -     rsp = 0x000000553e95f0b0   r12 = 0x0000000080004004
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -     r13 = 0x000000553e95ec08   r14 = 0x0000016b2c676118
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -     r15 = 0x0000016b2c676208   rip = 0x00007ffb2d253795
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -     Found by: call frame info
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -  5  xul.dll!mozilla::net::nsSocketTransportService::Run() [nsSocketTransportService2.cpp:7cfa9199cc7e083ba4304e9af730875141bb6995 : 1134 + 0xc]
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -     rbx = 0x000000005d000000   rbp = 0x0000000000000000
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -     rsp = 0x000000553e95f100   r12 = 0x0000000080004004
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -     r13 = 0x000000553e95ec08   r14 = 0x0000016b2c676118
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -     r15 = 0x0000016b2c676208   rip = 0x00007ffb2dcacaf8
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -     Found by: call frame info
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -  6  xul.dll!nsThread::ProcessNextEvent(bool, bool*) [nsThread.cpp:7cfa9199cc7e083ba4304e9af730875141bb6995 : 1211 + 0x6]
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -     rbx = 0x000000005d000000   rbp = 0x0000000000000000
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -     rsp = 0x000000553e95f4c0   r12 = 0x0000000080004004
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -     r13 = 0x000000553e95ec08   r14 = 0x0000016b2c676118
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -     r15 = 0x0000016b2c676208   rip = 0x00007ffb2d2550a4
[task 2020-05-26T17:02:34.153Z] 17:02:34     INFO -     Found by: call frame info
[task 2020-05-26T17:02:34.154Z] 17:02:34     INFO -  7  xul.dll!NS_ProcessNextEvent(nsIThread*, bool) [nsThreadUtils.cpp:7cfa9199cc7e083ba4304e9af730875141bb6995 : 501 + 0x26]
[task 2020-05-26T17:02:34.154Z] 17:02:34     INFO -     rbx = 0x000000005d000000   rbp = 0x0000000000000000
[task 2020-05-26T17:02:34.154Z] 17:02:34     INFO -     rsp = 0x000000553e95fac0   r12 = 0x0000000080004004
[task 2020-05-26T17:02:34.154Z] 17:02:34     INFO -     r13 = 0x000000553e95ec08   r14 = 0x0000016b2c676118
[task 2020-05-26T17:02:34.154Z] 17:02:34     INFO -     r15 = 0x0000016b2c676208   rip = 0x00007ffb2d253795
[task 2020-05-26T17:02:34.154Z] 17:02:34     INFO -     Found by: call frame info
[task 2020-05-26T17:02:34.154Z] 17:02:34     INFO -  8  xul.dll!mozilla::ipc::MessagePumpForNonMainThreads::Run(base::MessagePump::Delegate*) [MessagePump.cpp:7cfa9199cc7e083ba4304e9af730875141bb6995 : 332 + 0xa]
[task 2020-05-26T17:02:34.154Z] 17:02:34     INFO -     rbx = 0x000000005d000000   rbp = 0x0000000000000000
[task 2020-05-26T17:02:34.154Z] 17:02:34     INFO -     rsp = 0x000000553e95fb10   r12 = 0x0000000080004004
[task 2020-05-26T17:02:34.154Z] 17:02:34     INFO -     r13 = 0x000000553e95ec08   r14 = 0x0000016b2c676118
[task 2020-05-26T17:02:34.154Z] 17:02:34     INFO -     r15 = 0x0000016b2c676208   rip = 0x00007ffb2d253533
[task 2020-05-26T17:02:34.154Z] 17:02:34     INFO -     Found by: call frame info
[task 2020-05-26T17:02:34.154Z] 17:02:34     INFO -  9  xul.dll!MessageLoop::RunHandler() [message_loop.cc:7cfa9199cc7e083ba4304e9af730875141bb6995 : 308 + 0xf]
[task 2020-05-26T17:02:34.154Z] 17:02:34     INFO -     rbx = 0x000000005d000000   rbp = 0x0000000000000000
[task 2020-05-26T17:02:34.154Z] 17:02:34     INFO -     rsp = 0x000000553e95fb90   r12 = 0x0000000080004004
[task 2020-05-26T17:02:34.154Z] 17:02:34     INFO -     r13 = 0x000000553e95ec08   r14 = 0x0000016b2c676118
[task 2020-05-26T17:02:34.154Z] 17:02:34     INFO -     r15 = 0x0000016b2c676208   rip = 0x00007ffb2e07b4f8
[task 2020-05-26T17:02:34.154Z] 17:02:34     INFO -     Found by: call frame info
[task 2020-05-26T17:02:34.154Z] 17:02:34     INFO - 10  xul.dll!MessageLoop::Run() [message_loop.cc:7cfa9199cc7e083ba4304e9af730875141bb6995 : 290 + 0x5]
[task 2020-05-26T17:02:34.154Z] 17:02:34     INFO -     rbx = 0x000000005d000000   rbp = 0x0000000000000000
[task 2020-05-26T17:02:34.154Z] 17:02:34     INFO -     rsp = 0x000000553e95fbe0   r12 = 0x0000000080004004
[task 2020-05-26T17:02:34.154Z] 17:02:34     INFO -     r13 = 0x000000553e95ec08   r14 = 0x0000016b2c676118
[task 2020-05-26T17:02:34.154Z] 17:02:34     INFO -     r15 = 0x0000016b2c676208   rip = 0x00007ffb2d22b271
[task 2020-05-26T17:02:34.154Z] 17:02:34     INFO -     Found by: call frame info
...
...
...
Flags: needinfo?(mozilla)
Pushed by mozilla@kaply.com:
https://hg.mozilla.org/integration/autoland/rev/215445cf1387
Add policy for application handlers. r=Gijs,fluent-reviewers
Status: ASSIGNED → RESOLVED
Closed: 4 months ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 78

New patch submitted and works.

Flags: needinfo?(mozilla)
You need to log in before you can comment on or make changes to this bug.